Subject: Re: [RFC] Re: git-svn: make git-svn commit-diff able to work without explicit arguments

From: Steve Frécinaux <[email-masked]>
Date: Wed, 03 Jan 2007 00:09:26 +0100

Pierre Habouzit wrote:

>   Though an operation that I'd often like to do is to merge two (or
> more) patches as one, and reedit its entry, preferably as a merge of the
> two (or more) old logs.

Actually that's more or less what I wanted to achieve, just that it was 
less general.

Using the solutions that have been proposed in this thread (using 
git-cherry-pick -n and a work branch) looks satisfying for what I want 
to do. Then it's just a matter of cherry-picking the last "work" 
patches, commiting them as a whole in master and then using git-svn 
dcommit the regular way.